<?php
	require("include/everything.php");
	
	session_register("UserID");

	$page_rows  = 50;
	$list_pages = 1;

	session_register("unconfirmed_list_page");
	if (empty($unconfirmed_list_page)) $unconfirmed_list_page = 1;
	if ("GET" == getenv("REQUEST_METHOD") && isset($page)) $unconfirmed_list_page = $page;
	$s_page = $unconfirmed_list_page;

	$template = new Template("templates/prospects_unconfirmed");
	$db = new DB_Sql;
	
	// gasim numele utilizatorului logat
	$query = "SELECT * 
				FROM users 
				WHERE users_id = '$UserID'";
	$db->query($query);
	$db->next_record();
	$name = $db->f("users_name");
	
	// cream pagina din template
	$template->set_file("tpl_prospects_unconfirmed", "prospects_unconfirmed.tpl");
	$template->set_var("USER_NAME", $name);

	// obtinem lista de subscrisi care au facut unsubscribe
	$template->set_file("tpl_subscriber_row", "subscriber_row.tpl");

	$query = "SELECT COUNT(*) AS recs FROM subscribers
				WHERE 
					subscribers_user_id = '$UserID' AND
					subscribers_active = 2
				ORDER BY subscribers_name";
	$db->query($query);
	$recs = 0;
	if ($db->next_record()) $recs = $db->f("recs");
	$list_pages = $recs / $page_rows;
	if ($s_page > $list_pages) $s_page = ceil($list_pages);
	$s_skip = $page_rows * ($s_page - 1);
	
	$pages_list = "";
	for ($p = 0; $list_pages > $p; ++$p) {
		$page_num = 1+$p;
		$selected  = ($s_page == $page_num)? " selected ": "";
		$pages_list .= "<option value=\"$page_num\" $selected>$page_num</option>";
	}
	$template->set_var("LIST_PAGES", $pages_list);
	$template->set_var("SUBSCRIBERS_NUMBER", "$recs");

	if ($recs == 0)
	{
		$template->set_file("tpl_row_none", "row_none.tpl");
		$template->parse("SUBSCRIBER_LIST", "tpl_row_none");
		$template->set_var("LIST_MENU", "");
	}
	else
	{
		$query = "SELECT * FROM subscribers
					WHERE 
						subscribers_user_id = '$UserID' AND
						subscribers_active = 2
					ORDER BY subscribers_name
					LIMIT $s_skip,$page_rows";
		$db->query($query);

		while ($db->next_record())
		{
			$join_date = $db->f("subscribers_join_date");
			$join_date = Date::fromMysqlDatetime($join_date);
			$join_date = $join_date->toString(FMT_DATEUS);

			$address_array = array();
			if ($db->f("subscribers_address")) $address_array[] = $db->f("subscribers_address");
			if ($db->f("subscribers_city"))    $address_array[] = $db->f("subscribers_city");
			if ($db->f("subscribers_state"))   $address_array[] = $db->f("subscribers_state");
			if ($db->f("subscribers_zip"))     $address_array[] = $db->f("subscribers_zip");
			if ($db->f("subscribers_country")) $address_array[] = $db->f("subscribers_country");
			$address = implode($address_array, ", ");
			$template->set_var("ADDRESS", $address);
			$template->set_var("SUBSCRIBER_ID", $db->f("subscribers_id"));
			$template->set_var("NAME", $db->f("subscribers_name"));
			$template->set_var("EMAIL", $db->f("subscribers_email"));
			$template->set_var("DATE", $join_date);
			$template->set_var("WHEREDIDHEAR", $db->f("subscribers_wheredidhear"));
			$template->parse("SUBSCRIBER_LIST", "tpl_subscriber_row", true);
		}

		// afisam meniu referitor la lista de subscrisi
		$template->set_file("tpl_list_menu", "list_menu.tpl");
		$template->parse("LIST_MENU", "tpl_list_menu");
	}

	// crearea output-ului propriu-zis
	$template->parse("content", "tpl_prospects_unconfirmed");
	require("template_make.php");
?>
